[package]
name = "hardened-malloc"
version = "13.0.1" # Remember to update README.md
edition = "2021"
authors = ["Ali Polatel <alip@chesswob.org>"]
description = "Global allocator using GrapheneOS allocator"
readme = "README.md"
license = "MIT"
categories = ["os::linux-apis", "security"]
keywords = ["security", "sandbox"]
repository = "https://git.sr.ht/~alip/syd"
rust-version = "1.78.0"

[features]
default = ["hardened-malloc-sys"]
light = ["hardened-malloc-sys/light"]
small = ["hardened-malloc-sys/small"]
tiny = ["hardened-malloc-sys/tiny"]
seal = ["hardened-malloc-sys/seal"]

[dependencies]
hardened-malloc-sys = { version = "13.0.0", optional = true }
